org.apache.tapestry5.ioc.internal.util

## Class DummyLock

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.util.DummyLock

- All Implemented Interfaces:
    Lock

  Deprecated.
  Deprecated in 5.4 with no replacement.

      public class DummyLock
      extends Object
      implements Lock

  Acts like a Lock but all operations are no-ops.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyLock()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `lock()` Deprecated.
    `void` | `lockInterruptibly()` Deprecated.
    `Condition` | `newCondition()` Deprecated. Returns null.
    `boolean` | `tryLock()` Deprecated.
    `boolean` | `tryLock(long time, TimeUnit unit)` Deprecated.
    `void` | `unlock()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyLock

          public DummyLock()

      Deprecated.

  - ### Method Detail

    - #### lock

          public void lock()

      Deprecated.
      Specified by:
        `lock` in interface `Lock`

    - #### lockInterruptibly

          public void lockInterruptibly()
                                 throws InterruptedException

      Deprecated.
      Specified by:
        `lockInterruptibly` in interface `Lock`
      Throws:
        `InterruptedException`

    - #### newCondition

          public Condition newCondition()

      Deprecated.
      Returns null.
      Specified by:
        `newCondition` in interface `Lock`

    - #### tryLock

          public boolean tryLock()

      Deprecated.
      Specified by:
        `tryLock` in interface `Lock`
      Returns:
        true

    - #### tryLock

          public boolean tryLock(long time,
                                 TimeUnit unit)
                          throws InterruptedException

      Deprecated.
      Specified by:
        `tryLock` in interface `Lock`
      Returns:
        true
      Throws:
        `InterruptedException`

    - #### unlock

          public void unlock()

      Deprecated.
      Specified by:
        `unlock` in interface `Lock`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.